Skip to main content
GET
Get revenue recognition schedule

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json
id
string
required

Unique recognition-schedule identifier.

method
enum<string>
required

Revenue-recognition method.

Available options:
none,
point_in_time,
over_time,
usage_based,
milestone,
manual
discount_recognition_method
enum<string> | null
required

Method used to recognize discounts.

Available options:
immediate,
deferred,
use_net_amount
granularity
enum<string> | null
required

Recognition-slice granularity.

Available options:
day,
month,
quarter,
year
curve
enum<string> | null
required

Recognition allocation curve.

Available options:
straight_line,
custom
status
enum<string>
required

Recognition-schedule status.

Available options:
pending,
in_progress,
completed,
cancelled
origin
enum<string>
required

Origin of the recognition schedule.

Available options:
auto,
manual
is_arrears
boolean
required

Whether the schedule recognizes in-arrears revenue.

currency
string
required

ISO 4217 ledger currency.

total_amount
string
required

Total scheduled amount in ledger currency.

cancelled_amount
string
required

Cancelled amount in ledger currency.

discount_amount
string
required

Total discount amount in ledger currency.

recognized_amount
string
required

Recognized amount in ledger currency.

recognized_discount_amount
string
required

Recognized discount amount in ledger currency.

remaining_amount
string
required

Remaining amount in ledger currency.

remaining_discount_amount
string
required

Remaining discount amount in ledger currency.

original_currency
string
required

ISO 4217 original currency.

original_currency_exchange_rate
string
required

Exchange rate into ledger currency.

original_currency_exchange_rate_date
string<date> | null
required

Date of the exchange rate.

total_amount_in_original_currency
string
required

Total scheduled amount in the original currency.

cancelled_amount_in_original_currency
string
required

Cancelled amount in the original currency.

discount_amount_in_original_currency
string
required

Discount amount in the original currency.

recognized_amount_in_original_currency
string
required

Recognized amount in the original currency.

recognized_discount_amount_in_original_currency
string
required

Recognized discount amount in the original currency.

remaining_amount_in_original_currency
string
required

Remaining amount in the original currency.

remaining_discount_amount_in_original_currency
string
required

Remaining discount amount in the original currency.

service_period_starts_at
string<date> | null
required

Inclusive service-period start timestamp.

service_period_ends_at
string<date> | null
required

Inclusive service-period end timestamp.

recognition_date
string<date> | null
required

Recognition timestamp for point-in-time schedules.

total_units_snapshot
string | null
required

Usage-unit snapshot captured by the schedule.

credit_transaction_id
string | null
required

Related credit transaction identifier.

deferred_ledger_account_id
string | null
required

Deferred-revenue ledger account identifier.

revenue_ledger_account_id
string
required

Revenue ledger account identifier.

deferred_discount_ledger_account_id
string | null
required

Deferred-discount ledger account identifier.

contra_revenue_ledger_account_id
string | null
required

Contra-revenue ledger account identifier.

unbilled_ledger_account_id
string | null
required

Unbilled-revenue ledger account identifier.

revenue_rule_id
string | null
required

Revenue accounting-rule identifier.

deferred_rule_id
string | null
required

Deferred-revenue accounting-rule identifier.

unbilled_rule_id
string | null
required

Unbilled-revenue accounting-rule identifier.

contra_revenue_rule_id
string | null
required

Contra-revenue accounting-rule identifier.

deferred_discount_rule_id
string | null
required

Deferred-discount accounting-rule identifier.

invoicing_entity_id
string
required

Owning invoicing entity identifier.

ledger_id
string
required

Owning ledger identifier.

invoice_id
string | null
required

Related invoice identifier.

invoice_line_item_id
string | null
required

Related invoice line-item identifier.

journal_entry_id
string | null
required

Related manual journal-entry identifier.

subscription_id
string | null
required

Related subscription identifier.

customer_id
string | null
required

Related customer identifier.

billing_item_id
string | null
required

Related billing-item identifier.

billing_item_on_subscription_id
string | null
required

Related subscription billing-item identifier.

amount_excluding_tax
string
required

Schedule amount excluding tax.

tax_amount
string
required

Schedule tax amount.

amount_including_tax
string
required

Schedule amount including tax.

invoice_line_item_name
string | null
required

Display name of the related invoice line item or product.

earliest_spread_start
string<date>
required

Earliest permitted date for a forward reshape window.

timezone
string
required

IANA timezone used for schedule boundaries.

slices
object[]
required

Recognition slices in the schedule.

created_at
string<date> | null
required

Timestamp when the schedule was created.

updated_at
string<date> | null
required

Timestamp when the schedule was last updated.